/// <reference types="pcore-pconnect-typedefs" />
import { OnInit, EventEmitter } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { Utils } from '../../../_helpers/utils';
import * as i0 from "@angular/core";
export declare class MultiStepComponent implements OnInit {
    private utils;
    pConn$: typeof PConnect;
    formGroup$: FormGroup;
    arMainButtons$: any[];
    arSecondaryButtons$: any[];
    arChildren$: any[];
    bIsVertical$: boolean;
    arCurrentStepIndicies$: number[];
    arNavigationSteps$: any[];
    actionButtonClick: EventEmitter<any>;
    svgCurrent$: string;
    svgNotCurrent$: string;
    bShow$: boolean;
    constructor(utils: Utils);
    ngOnInit(): void;
    onActionButtonClick(oData: any): void;
    _getVIconClass(status: any): string;
    _getVLabelClass(status: any): string;
    _getVBodyClass(index: number): string;
    _getHIconClass(status: any): string;
    _getHLabelClass(status: any): string;
    _showHLine(index: number): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<MultiStepComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<MultiStepComponent, "app-multi-step", never, { "pConn$": { "alias": "pConn$"; "required": false; }; "formGroup$": { "alias": "formGroup$"; "required": false; }; "arMainButtons$": { "alias": "arMainButtons$"; "required": false; }; "arSecondaryButtons$": { "alias": "arSecondaryButtons$"; "required": false; }; "arChildren$": { "alias": "arChildren$"; "required": false; }; "bIsVertical$": { "alias": "bIsVertical$"; "required": false; }; "arCurrentStepIndicies$": { "alias": "arCurrentStepIndicies$"; "required": false; }; "arNavigationSteps$": { "alias": "arNavigationSteps$"; "required": false; }; }, { "actionButtonClick": "actionButtonClick"; }, never, never, true, never>;
}
